@echo off
color a
Title OpenComposite Setup

set /p GamePath=<path.ini

if "%GamePath%" equ "" goto npath
IF NOT EXIST "%GamePath%\VRChat_Data\Plugins\openvr_api.dll" goto npath
IF NOT EXIST "files\backup\openvr_api.dll" copy "%GamePath%\VRChat_Data\Plugins\openvr_api.dll" "%cd%\files\backup\openvr_api.dll"
goto vpath
:npath
IF EXIST "C:\Program Files (x86)\Steam\steamapps\common\VRChat\VRChat_Data\Plugins\openvr_api.dll" goto autocfg
echo Game not Found.
echo Please specify the correct game path in the path.ini.
pause
exit

:autocfg
echo Found Game install in C:\Program Files (x86)\Steam\steamapps\common\VRChat
echo.
ping -n 5 localhost  > nul
echo C:\Program Files (x86)\Steam\steamapps\common\VRChat>> path.ini
set GamePath=C:\Program Files (x86)\Steam\steamapps\common\VRChat
goto vpath

:vpath
Title OpenComposite Setup

echo.
echo  
echo                                                                              
echo                                                              
echo                                                                       
echo                                                                    
echo                                                                        
echo                                                                   
echo                                                                              
echo  
echo                                                                              
echo     1. Install / Update                                                      
echo                                                                              
echo                                                                              
echo     2. Backup Original (after every game update)                             
echo                                                                              
echo                                                                              
echo     3. Uninstall                                                             
echo                                                                              
echo                                                                              
echo                                                                              
echo     9. Exit                                                                  
echo                                                                      By FPaul
echo  
set /p AuswahlEingabe="Please Choose: "
if "%AuswahlEingabe%" equ "1" goto setup
if "%AuswahlEingabe%" equ "2" goto Backup
if "%AuswahlEingabe%" equ "3" goto Remove
if "%AuswahlEingabe%" equ "9" Exit

Goto vpath

:Setup
set DLPath="https://ci.appveyor.com/api/projects/ZNix/openovr/artifacts/x64/openvr_api.dll?branch=master&job=Platform%3A+x64"
cls
echo Downloading newest version.
echo.
cd files
del openvr_api.dll
call wget.exe --content-disposition --trust-server-names -i filelist.dat


cd.. 
echo.
echo.
echo Installing
ping -n 2 localhost  > nul
copy "files\openvr_api.dll" "%GamePath%\VRChat_Data\Plugins\openvr_api.dll"
echo.
echo Installation/Update completed unless error's occured.
ping -n 8 localhost  > nul

IF NOT EXIST "Quick Update.bat" copy "files\qu.dat" "Quick Update.bat"


goto vpath

goto vpath

:Backup
cls
echo Backupping installed  openvr_api.dll
echo.
echo Do not backup if you currently have OpenComposite installed.
echo.
Pause
copy "%GamePath%\VRChat_Data\Plugins\openvr_api.dll" "%cd%\files\backup\openvr_api.dll"
echo.
echo Backup completed unless error's occured.
ping -n 8 localhost  > nul
goto vpath


:Remove
cls
echo Removing OpenComposite (Reinstalling latest backup)
echo.
copy "files\backup\openvr_api.dll" "%GamePath%\VRChat_Data\Plugins\openvr_api.dll"
echo.
echo Remove completed unless error's occured.
ping -n 8 localhost  > nul
goto vpath